Apply Lifecycle Scenario
POST
/v1/admin/principal-assignments/lifecycle/scenario/apply
const url = 'https://example.com/v1/admin/principal-assignments/lifecycle/scenario/apply';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","proposal_id":"example","subject_key":"example","principal_type":"human","persona_key":"","platform_role_keys":["example"],"department_roles":[{"scope_key":"example","role_key":"member"}],"team_roles":[{"scope_key":"example","role_key":"member"}],"project_roles":[{"scope_key":"example","role_key":"member"}],"solution_roles":[{"scope_key":"example","role_key":"member"}],"initiative_roles":[{"scope_key":"example","role_key":"member"}],"domain_roles":[{"scope_key":"example","role_key":"member"}],"reason_code":"onboarding_scenario","source":"fractalops_onboarding","attributes":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/principal-assignments/lifecycle/scenario/apply \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "proposal_id": "example", "subject_key": "example", "principal_type": "human", "persona_key": "", "platform_role_keys": [ "example" ], "department_roles": [ { "scope_key": "example", "role_key": "member" } ], "team_roles": [ { "scope_key": "example", "role_key": "member" } ], "project_roles": [ { "scope_key": "example", "role_key": "member" } ], "solution_roles": [ { "scope_key": "example", "role_key": "member" } ], "initiative_roles": [ { "scope_key": "example", "role_key": "member" } ], "domain_roles": [ { "scope_key": "example", "role_key": "member" } ], "reason_code": "onboarding_scenario", "source": "fractalops_onboarding", "attributes": {} }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PrincipalLifecycleScenarioIn
object
tenant_id
Tenant Id
string
proposal_id
required
Proposal Id
string
subject_key
required
Subject Key
string
principal_type
Principal Type
string
persona_key
Persona Key
string
platform_role_keys
Platform Role Keys
Array<string>
department_roles
Department Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
team_roles
Team Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
project_roles
Project Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
solution_roles
Solution Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
initiative_roles
Initiative Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
domain_roles
Domain Roles
Array<object>
PrincipalScopeRoleInobject
scope_key
required
Scope Key
string
role_key
Role Key
string
reason_code
Reason Code
string
source
Source
string
attributes
Attributes
object
key
additional properties
any
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PrincipalLifecycleScenarioOut
object
created_count
Created Count
integer
revoked_count
Revoked Count
integer
unchanged_count
Unchanged Count
integer
created_paths
Created Paths
Array<string>
revoked_paths
Revoked Paths
Array<string>
resolved_target_group_paths
Resolved Target Group Paths
Array<string>
Example
{ "created_count": 0, "revoked_count": 0, "unchanged_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}